import { INotifyPropertyChanged, IEnumerable, Type, PropertyChangedEventArgs, Base } from "igniteui-react-core/ES2015/type";
import { List$1 } from "igniteui-react-core/ES2015/List$1";
import { Brush } from "igniteui-react-core/ES2015/Brush";
import { IDomainChartWidget } from "./IDomainChartWidget";
import { XamDataChart } from "./XamDataChart";
import { DataSeriesAdapterImplementation } from "igniteui-react-core/ES2015/DataSeriesAdapterImplementation";
import { DataSeriesType } from "igniteui-react-core/ES2015/DataSeriesType";
import { IDataSeriesAdapterRule } from "igniteui-react-core/ES2015/IDataSeriesAdapterRule";
import { MarkerType } from "./MarkerType";
import { Color } from "igniteui-react-core/ES2015/Color";
import { BrushCollection } from "igniteui-react-core/ES2015/BrushCollection";
import { IChartLegend } from "igniteui-react-core/ES2015/IChartLegend";
import { Rect } from "igniteui-react-core/ES2015/Rect";
import { HorizontalAlignment } from "igniteui-react-core/ES2015/HorizontalAlignment";
import { UnknownValuePlotting } from "igniteui-react-core/ES2015/UnknownValuePlotting";
import { MarkerTypeCollection } from "./MarkerTypeCollection";
import { TrendLineType } from "igniteui-react-core/ES2015/TrendLineType";
import { Series } from "./Series";
import { ObservableCollection$1 } from "igniteui-react-core/ES2015/ObservableCollection$1";
import { DataSeries } from "igniteui-react-core/ES2015/DataSeries";
import { DataSeriesMarker } from "igniteui-react-core/ES2015/DataSeriesMarker";
import { ChartSeriesEventArgs } from "./ChartSeriesEventArgs";
import { DomainChartSeriesPointerEventArgs } from "./DomainChartSeriesPointerEventArgs";
export declare abstract class DomainChart extends Base implements INotifyPropertyChanged {
    protected cm: any;
    provideContainer(a: any): void;
    destroy(): void;
    private e0();
    protected e1(): void;
    protected ex(a: XamDataChart): void;
    protected eu(): void;
    protected e3(a: Series, b: number): void;
    protected fk(a: string, b: any, c: any): void;
    private cl;
    tooltipTemplate: any;
    private a6;
    tooltipTemplates: List$1<any>;
    private bh;
    bx: number;
    private ck;
    private toolTip;
    private bq;
    b6: number;
    private br;
    b7: number;
    private bs;
    b8: number;
    private bp;
    b5: number;
    private bl;
    b1: number;
    private bn;
    b3: number;
    private bm;
    b2: number;
    private bk;
    b0: number;
    private f8;
    ge: Brush;
    private f9;
    gf: Brush;
    private bg;
    protected get_bw(): number;
    protected set_bw(a: number): void;
    bw: number;
    private bt;
    b9: number;
    private bj;
    bz: number;
    private bf;
    bv: number;
    private cf;
    ci: number;
    private an;
    ao: (time: number) => number;
    protected ey(a: XamDataChart): void;
    protected e4(a: Series, b: number): void;
    protected ev(): void;
    private e5(a, b);
    cb: (arg1: Element) => any[];
    private f3(a, b, c);
    private co(a);
    private a4;
    private cc(a);
    protected fl(a: string, b: any, c: any): void;
    private aa;
    ab: IDomainChartWidget;
    private cv;
    dt: string;
    private cx;
    d4: string;
    private al;
    dataChart: XamDataChart;
    s: DataSeriesAdapterImplementation;
    constructor();
    protected ez(): void;
    protected readonly abstract ba: List$1<DataSeriesType>;
    protected readonly abstract a9: List$1<IDataSeriesAdapterRule>;
    protected a8: List$1<MarkerType>;
    protected a0(a: DataSeriesType): boolean;
    notifyResized(): void;
    fd(): void;
    ep(): void;
    es(): void;
    propertyChanged: (sender: any, e: PropertyChangedEventArgs) => void;
    protected fo(a: string): void;
    protected eq(a: (arg1: Series) => void): void;
    protected er(a: (arg1: Series, arg2: number) => void): void;
    protected fe(a: (arg1: XamDataChart) => void): void;
    protected ff(a: (arg1: XamDataChart) => void, b: boolean): void;
    protected fg(a: (arg1: XamDataChart) => void, b: boolean, c: string): void;
    protected a1(a: DataSeries): boolean;
    protected ax(): boolean;
    private static readonly ct;
    private ce;
    protected c5(a: DataSeries): string;
    protected c6(a: DataSeries, b: DataSeriesType): string;
    protected abstract r(a: DataSeries): DataSeriesType;
    protected abstract ag(a: DataSeries, b: DataSeriesType): Series;
    c4(): string;
    private az;
    protected fz(): void;
    protected abstract fy(a: DataSeries): void;
    protected abstract fx(a: DataSeries): void;
    protected f1(): void;
    protected f2(a: Series): void;
    protected abstract f0(): void;
    private fh(a, b);
    protected ga(a: number): Brush;
    protected gd(a: number): Brush;
    protected gb(a: number): Brush;
    protected gc(a: number): Brush;
    protected gg(a: number): Color;
    protected be(a: Color): ObservableCollection$1<Color>;
    protected k(a: Color): BrushCollection;
    protected a5: List$1<Color>;
    protected readonly a7: List$1<Color>;
    cn(): any;
    e6(a: string, b: string): void;
    e7(a: string, b: string, c: Series): void;
    ac(a: DataSeriesMarker): MarkerType;
    fc(source_: any, a: number, b: any, c: any): void;
    e8(source_: any): void;
    e9(source_: any, a: number, b: any): void;
    fa(source_: any, a: number, b: any): void;
    seriesAdded: (sender: any, args: ChartSeriesEventArgs) => void;
    fp(a: Series): void;
    seriesRemoved: (sender: any, args: ChartSeriesEventArgs) => void;
    fv(a: Series): void;
    seriesPointerEnter: (sender: any, args: DomainChartSeriesPointerEventArgs) => void;
    fr(a: Series, b: any): void;
    seriesPointerLeave: (sender: any, args: DomainChartSeriesPointerEventArgs) => void;
    fs(a: Series, b: any): void;
    seriesPointerMove: (sender: any, args: DomainChartSeriesPointerEventArgs) => void;
    ft(a: Series, b: any): void;
    seriesPointerDown: (sender: any, args: DomainChartSeriesPointerEventArgs) => void;
    fq(a: Series, b: any): void;
    seriesPointerUp: (sender: any, args: DomainChartSeriesPointerEventArgs) => void;
    fu(a: Series, b: any): void;
    fn(a: () => void, b: boolean): {
        p1?: boolean;
    };
    protected get_a2(): boolean;
    protected readonly a2: boolean;
    protected ew(a: XamDataChart): void;
    protected e2(a: Series, b: number): void;
    protected abstract em(): void;
    protected readonly aw: boolean;
    private ar;
    protected eo(): void;
    protected et(): void;
    protected abstract fw(a: XamDataChart): void;
    private el(a, b);
    protected abstract ek(a: Series, b: number): void;
    protected ad(a: Series, b: number): MarkerType;
    protected fj(a: string, b: any, c: any): void;
    private fi(a, b);
    private bc;
    itemsSource: IEnumerable;
    private b;
    d: string[];
    private a;
    c: string[];
    private e;
    j: BrushCollection;
    private h;
    n: BrushCollection;
    private y;
    legend: IChartLegend;
    private as;
    protected get_ay(): boolean;
    protected set_ay(a: boolean): void;
    ay: boolean;
    private at;
    protected get_a3(): boolean;
    protected set_a3(a: boolean): void;
    a3: boolean;
    private gh;
    gj: Rect;
    readonly gi: Rect;
    private cw;
    dx: string;
    private cu;
    dl: string;
    private f5;
    f7: HorizontalAlignment;
    private f4;
    f6: HorizontalAlignment;
    private aj;
    ak: UnknownValuePlotting;
    private bi;
    protected get_by(): number;
    protected set_by(a: number): void;
    by: number;
    private bo;
    b4: number;
    private ae;
    af: MarkerTypeCollection;
    private f;
    l: BrushCollection;
    private g;
    m: BrushCollection;
    private cd;
    ch: number;
    private aq;
    av: boolean;
    private i;
    o: BrushCollection;
    private ah;
    ai: TrendLineType;
    private bu;
    ca: number;
    private ap;
    au: boolean;
    private cg;
    cj: number;
    static $t: Type;
}
